## netdata 1.33.1

=== CMakeLists.txt ===

# SPDX-License-Identifier: GPL-3.0-or-later
# This file is only used for development (netdata in Clion)
# It can build netdata, but you are on your own...

cmake_minimum_required(VERSION 3.1.0)
project(netdata C CXX)

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)

# default is "Debug"
#set(CMAKE_BUILD_TYPE "Release")

# set this to see the compilation commands
# set(CMAKE_VERBOSE_MAKEFILE 1)


# -----------------------------------------------------------------------------
# Set compilation options according to build type

IF("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
    message(STATUS "building for: debugging")

    ## unfortunately these produce errors
    #include(CheckCXXCompilerFlag)
    #CHECK_CXX_COMPILER_FLAG("-Wformat-signedness" CXX_FORMAT_SIGNEDNESS)
    #CHECK_CXX_COMPILER_FLAG("-Werror=format-security" CXX_FORMAT_SECURITY)
    #CHECK_CXX_COMPILER_FLAG("-fstack-protector-all" CXX_STACK_PROTECTOR)
    set(CXX_FORMAT_SIGNEDNESS "-Wformat-signedness")
    set(CXX_FORMAT_SECURITY "-Werror=format-security")
    set(CXX_STACK_PROTECTOR "-fstack-protector-all")
    set(CXX_FLAGS_DEBUG "-O0")
    set(CMAKE_C_STANDARD 99)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O1 -ggdb -Wall -Wextra -DNETDATA_INTERNAL_CHECKS=1 -DNETDATA_VERIFY_LOCKS=1 ${CXX_FORMAT_SIGNEDNESS} ${CXX_FORMAT_SECURITY} ${CXX_STACK_PROTECTOR} ${CXX_FLAGS_DEBUG}")
ELSE()
    message(STATUS "building for: release")
    cmake_policy(SET CMP0069 "NEW")
    include(CheckIPOSupported)
    check_ipo_supported(RESULT ipo_supported OUTPUT error)
    IF(${ipo_supported})
        message(STATUS "link time optimization: supported")
        set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
    ELSE()
        message(STATUS "link time optimization: not supported")
    ENDIF()
ENDIF()


# -----------------------------------------------------------------------------
# O/S Detection

# these are defined in common.h too
SET(LINUX   False)
SET(FREEBSD False)
SET(MACOS   False)

# Detect the operating system
IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    SET(MACOS True)
ELSEIF(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    SET(FREEBSD True)
ELSE()
    SET(LINUX True)
ENDIF()

# show the operating system on the console
message(STATUS "system name: ${CMAKE_SYSTEM_NAME}")

# -----------------------------------------------------------------------------
# Detect libuuid

pkg_check_modules(UUID REQUIRED uuid)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${UUID_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${UUID_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# Detect libz

pkg_check_modules(ZLIB REQUIRED zlib)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${ZLIB_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${ZLIB_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# libuv multi-platform support library with a focus on asynchronous I/O

pkg_check_modules(LIBUV REQUIRED libuv)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${LIBUV_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${LIBUV_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${LIBUV_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# lz4 Extremely Fast Compression algorithm

pkg_check_modules(LIBLZ4 REQUIRED liblz4)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${LIBLZ4_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${LIBLZ4_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${LIBLZ4_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# Judy General purpose dynamic array

# pkgconfig not working in Ubuntu, why? upstream package broken?
#pkg_check_modules(JUDY REQUIRED Judy)
#set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JUDY_CFLAGS_OTHER})
#set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JUDY_LIBRARIES})
#set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JUDY_INCLUDE_DIRS})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} "-lJudy")
set(CMAKE_REQUIRED_LIBRARIES "Judy")
include(CheckSymbolExists)
check_symbol_exists("JudyLLast" "Judy.h" HAVE_JUDY)
IF(HAVE_JUDY)
    message(STATUS "Judy library found")
ELSE()
    message( FATAL_ERROR "libJudy required but not found. Try installing 'libjudy-dev' or 'Judy-devel'." )
ENDIF()

# -----------------------------------------------------------------------------
# OpenSSL Cryptography and SSL/TLS Toolkit

pkg_check_modules(OPENSSL REQUIRED openssl)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${OPENSSL_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${OPENSSL_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${OPENSSL_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# JSON-C used to health

pkg_check_modules(JSON REQUIRED json-c)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JSONC_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JSON_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JSON_INCLUDE_DIRS})


# -----------------------------------------------------------------------------
# Detect libcap

IF(LINUX)
    pkg_check_modules(CAP QUIET libcap)
    # later we use:
    # ${CAP_LIBRARIES}
    # ${CAP_CFLAGS_OTHER}
    # ${CAP_INCLUDE_DIRS}
ENDIF(LINUX)


# -----------------------------------------------------------------------------
# Detect libipmimonitoring

IF(LINUX)
    pkg_check_modules(IPMI libipmimonitoring)
    # later we use:
    # ${IPMI_LIBRARIES}
    # ${IPMI_CFLAGS_OTHER}
    # ${IPMI_INCLUDE_DIRS}
ENDIF(LINUX)


# -----------------------------------------------------------------------------
# Detect libmnl
IF(LINUX)
    pkg_check_modules(MNL libmnl)
    # later we use:
    # ${MNL_LIBRARIES}
    # ${MNL_CFLAGS_OTHER}
    # ${MNL_INCLUDE_DIRS}
ENDIF(LINUX)


# -----------------------------------------------------------------------------
# Detect libmnl

pkg_check_modules(NFACCT libnetfilter_acct)
# later we use:
# ${NFACCT_LIBRARIES}
# ${NFACCT_CFLAGS_OTHER}
# ${NFACCT_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libxenstat

pkg_check_modules(XENSTAT libxenstat)
# later we use:
# ${XENSTAT_LIBRARIES}
# ${XENSTAT_CFLAGS_OTHER}
# ${XENSTAT_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect MacOS IOKit/Foundation framework

IF(MACOS)
    find_library(IOKIT IOKit)
    find_library(FOUNDATION Foundation)
    # later we use:
    # ${FOUNDATION}
    # ${IOKIT}
ENDIF(MACOS)


# -----------------------------------------------------------------------------
# Detect libcrypto

pkg_check_modules(CRYPTO libcrypto)
# later we use:
# ${CRYPTO_LIBRARIES}
# ${CRYPTO_CFLAGS_OTHER}
# ${CRYPTO_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libssl

pkg_check_modules(SSL libssl)
# later we use:
# ${SSL_LIBRARIES}
# ${SSL_CFLAGS_OTHER}
# ${SSL_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libcurl

pkg_check_modules(CURL libcurl)
# later we use:
# ${CURL_LIBRARIES}
# ${CURL_CFLAGS_OTHER}
# ${CURL_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libaws-c-common

find_library(HAVE_AWS_CHECKSUMS aws-checksums)
# later we use:
# ${HAVE_AWS_CHECKSUMS}

# -----------------------------------------------------------------------------
# Detect libaws-c-common

find_library(HAVE_AWS_COMMON aws-c-common)
# later we use:
# ${HAVE_AWS_COMMON}

# -----------------------------------------------------------------------------
# Detect libaws-c-common

find_library(HAVE_AWS_EVENT_STREAM aws-c-event-stream)
# later we use:
# ${HAVE_AWS_EVENT_STREAM}

# -----------------------------------------------------------------------------
# Detect libaws-cpp-sdk-core

pkg_check_modules(AWS_CORE aws-cpp-sdk-core)
# later we use:
# ${AWS_CORE_LIBRARIES}
# ${AWS_CORE_CFLAGS_OTHER}
# ${AWS_CORE_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libaws-cpp-sdk-kinesis

pkg_check_modules(KINESIS aws-cpp-sdk-kinesis)
# later we use:
# ${KINESIS_LIBRARIES}
# ${KINESIS_CFLAGS_OTHER}
# ${KINESIS_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libgrpc

pkg_check_modules(GRPC grpc)
# later we use:
# ${GRPC_LIBRARIES}
# ${GRPC_CFLAGS_OTHER}
# ${GRPC_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libgoogleapis_cpp_pubsub_protos

pkg_check_modules(PUBSUB google_cloud_cpp_pubsub_protos)
# later we use:
# ${PUBSUB_LIBRARIES}
# ${PUBSUB_CFLAGS_OTHER}
# ${PUBSUB_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libprotobuf

pkg_check_modules(PROTOBUF protobuf>=3)
# later we use:
# ${PROTOBUF_LIBRARIES}
# ${PROTOBUF_CFLAGS_OTHER}
# ${PROTOBUF_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libsnappy

pkg_check_modules(SNAPPY snappy)
# later we use:
# ${SNAPPY_LIBRARIES}
# ${SNAPPY_CFLAGS_OTHER}
# ${SNAPPY_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libmongoc

pkg_check_modules(MONGOC libmongoc-1.0)
# later we use:
# ${MONGOC_LIBRARIES}
# ${MONGOC_CFLAGS_OTHER}
# ${MONGOC_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libbpf
IF(LINUX AND EXISTS "${CMAKE_SOURCE_DIR}/externaldeps/libbpf/libbpf.a")
    message(STATUS "libbpf library found")
    pkg_check_modules(ELF REQUIRED libelf)
    # later we use:
    # ${ELF_LIBRARIES}
    # ${ELF_CFLAGS_OTHER}
    # ${ELF_INCLUDE_DIRS}
    IF(ELF_LIBRARIES)
        list(APPEND NETDATA_COMMON_CFLAGS ${ELF_CFLAGS_OTHER})
        list(INSERT NETDATA_COMMON_LIBRARIES 0
            ${CMAKE_SOURCE_DIR}/externaldeps/libbpf/libbpf.a
            ${ELF_LIBRARIES})
        list(APPEND NETDATA_COMMON_INCLUDE_DIRS ${ELF_INCLUDE_DIRS})
        include_directories(BEFORE ${CMAKE_SOURCE_DIR}/externaldeps/libbpf/include)
        set(ENABLE_PLUGIN_EBPF True)
    ELSE(ELF_LIBRARIES)
        set(ENABLE_PLUGIN_EBPF False)
        message(STATUS "ebpf plugin: disabled (requires libelf)")
    ENDIF(ELF_LIBRARIES)
ENDIF()

# -----------------------------------------------------------------------------
# Detect ml dependencies
file(STRINGS "${CMAKE_SOURCE_DIR}/config.h" DEFINE_ENABLE_ML REGEX "^#define ENABLE_ML 1$")
IF(DEFINE_ENABLE_ML MATCHES ".+" AND
   EXISTS "${CMAKE_SOURCE_DIR}/ml/kmeans/dlib/dlib/all/source.cpp" AND
   EXISTS "${CMAKE_SOURCE_DIR}/ml/json/single_include/nlohmann/json.hpp")
    set(ENABLE_ML True)
    list(APPEND NETDATA_COMMON_CFLAGS "-DDLIB_NO_GUI_SUPPORT")
    list(APPEND NETDATA_COMMON_INCLUDE_DIRS "ml/kmeans/dlib")
ELSE()
    set(ENABLE_ML False)
ENDIF()

# -----------------------------------------------------------------------------
# netdata files

set(LIBNETDATA_FILES
        libnetdata/adaptive_resortable_list/adaptive_resortable_list.c
        libnetdata/adaptive_resortable_list/adaptive_resortable_list.h
        libnetdata/config/appconfig.c
        libnetdata/config/appconfig.h
        libnetdata/avl/avl.c
        libnetdata/avl/avl.h
        libnetdata/buffer/buffer.c
        libnetdata/buffer/buffer.h
        libnetdata/clocks/clocks.c
        libnetdata/clocks/clocks.h
        libnetdata/completion/completion.c
        libnetdata/completion/completion.h

=== packaging/repoconfig/Makefile ===
FILES = netdata.list netdata-edge.list netdata-archive-keyring.gpg netdata-edge-archive-keyring.gpg netdata-repoconfig-archive-keyring.gpg

all: $(FILES)

netdata.list: netdata.list.in
	cp netdata.list.in netdata.list
	set -a && . /etc/os-release && sed -i -e "s/__DISTRO__/$${ID}/" -e "s/__SUITE__/$${VERSION_CODENAME}/" -e "s/__VARIANT__//" netdata.list

netdata-edge.list: netdata.list.in
	cp netdata.list.in netdata-edge.list
	set -a && . /etc/os-release && sed -i -e "s/__DISTRO__/$${ID}/" -e "s/__SUITE__/$${VERSION_CODENAME}/" -e "s/__VARIANT__/-edge/" netdata-edge.list

netdata-archive-keyring.gpg:
	curl -L https://packagecloud.io/netdata/netdata/gpgkey | gpg --dearmor > netdata-archive-keyring.gpg

netdata-edge-archive-keyring.gpg:
	curl -L https://packagecloud.io/netdata/netdata-edge/gpgkey | gpg --dearmor > netdata-edge-archive-keyring.gpg

netdata-repoconfig-archive-keyring.gpg:
	curl -L https://packagecloud.io/netdata/netdata-repoconfig/gpgkey | gpg --dearmor > netdata-repoconfig-archive-keyring.gpg

debian/tmp:
	mkdir -p debian/tmp

install: $(FILES) debian/tmp
	cp $(FILES) debian/tmp/

clean:
	rm -f $(FILES)

.PHONY: clean

=== debian/changelog ===
netdata (1.33.1-1ubuntu1) jammy; urgency=medium

  * d/p/ubuntu/0001-configure.ac-Link-unconditionally-against-libatomic-.patch:
    Fix the build on riscv64 (LP: #1962837)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Thu, 10 Mar 2022 10:46:38 +0100

netdata (1.33.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.33.1.
  * Updating build-workarounds in rules for new upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Feb 2022 04:26:31 +0100

netdata (1.33.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.33.0.
  * Refreshing use-python3.patch.
  * Updating copyright for 2022.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 26 Jan 2022 19:05:54 +0100

netdata (1.32.1-2) sid; urgency=medium

  * Uploading to sid.
  * Removing old hddtemp suggests (Closes: #1001953).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Dec 2021 16:26:37 +0100

netdata (1.32.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.32.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Dec 2021 17:24:10 +0100

netdata (1.32.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.32.0.
  * Temporarily disabling prometheus-remote-write backend until its
    dependencies are figured out.
  * Updating moving of mongodb plugin handling in rules for current
    netdata upstream.
  * Adding handling for removing newly introduced unused files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Dec 2021 07:15:16 +0100

netdata (1.31.0-4) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 10:38:19 +0200

netdata (1.31.0-3) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 15 Aug 2021 17:42:57 +0200

netdata (1.31.0-2) experimental; urgency=medium

  * Uploading to experimental.
  * Removing obsolete settings for newer systemd versions (Closes:
    #989887).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jul 2021 15:38:54 +0200

netdata (1.31.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.31.0.
  * Temporarily removing web patches for now, they need to be redone
    later.
  * Creating empty mqtt_websockets directory to workaround git.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 19 May 2021 14:33:44 +0200

netdata (1.30.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.30.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Apr 2021 18:30:50 +0200

netdata (1.30.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.30.0.
  * Copying mqtt_websockets directory into build directories too.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 31 Mar 2021 14:59:34 +0200

=== debian/control ===
Source: netdata
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Uploaders:
 Lennart Weller <lhw@ring0.de>,
 Federico Ceratto <federico@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 libcap-dev,
 libcups2-dev,
 libjson-c-dev,
 libjudy-dev,
 liblz4-dev,
 libmnl-dev,
 libnetfilter-acct-dev,
 libprotobuf-dev,
 libsnappy-dev,
 libssl-dev,
 libuv1-dev,
 pkg-config,
 protobuf-compiler,
 uuid-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/netdata/netdata
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata

Package: netdata
Section: net
Architecture: all
Depends:
 netdata-core | netdata-core-no-sse,
 netdata-plugins-bash,
 netdata-web,
 ${misc:Depends},
Recommends:
 netdata-plugins-nodejs,
 netdata-plugins-python,
Description: real-time performance monitoring (metapackage)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 It can run autonomously without any third party components or it can be
 integrated to existing monitoring tool chains (Prometheus, Graphite,
 OpenTSDB, Kafka, Grafana, etc).
 .
 This package is a metapackage depending on the typical netdata components.

Package: netdata-apache2
Section: net
Architecture: all
Depends:
 apache2,
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 netdata-web (>= ${source:Version}),
 ${misc:Depends},
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (apache integration)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 Netdata includes its own embedded webserver, by default listening on localhost
 only. To make netdata available to other users, a dedicated webserver such as
 apache should be used (with authentication and encryption).
 .
 This package contains the integration for the apache HTTP server.

Package: netdata-core
Section: net
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcap2-bin,
 lsb-base,
 sse2-support [i386],
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 curl,
Suggests:
 apcupsd,
 iproute2,
 iw,
 lm-sensors,
 nc,
Breaks:
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Conflicts:
 netdata-core-no-sse,
Replaces:
 netdata-core-no-sse,
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Description: real-time performance monitoring (core)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the minimal core build with SSE2 optimizations for
 current systems.

Package: netdata-core-no-sse
Section: net
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcap2-bin,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 netdata-core,
Replaces:
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Recommends:
 curl,
Suggests:
 apcupsd,
 iproute2,
 iw,
 lm-sensors,
 nc,
Breaks:
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Description: real-time performance monitoring (core, no-sse build)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the minimal core build without SSE2 optimizations for
 old systems. If unsure, use netdata-core instead.

Package: netdata-plugins-bash
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Suggests:
 fping,
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Breaks:
 netdata-core (<< 1.19.0-2~),
 netdata-core-no-sse (<< 1.19.0-2~),
Replaces:
 netdata-core (<< 1.19.0-2~),
 netdata-core-no-sse (<< 1.19.0-2~),
Description: real-time performance monitoring (bash plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using bash.

Package: netdata-plugins-nodejs
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Recommends:
 nodejs,
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (nodejs plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using nodejs.

Package: netdata-plugins-python
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 python3,
 python3-six,
 python3-urllib3 (>= 1.22),
 python3-yaml,
 ${misc:Depends},
Suggests:
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Breaks:
 netdata-core (<< 1.17.0-1~),
 netdata-core-no-sse (<< 1.17.0-1~),
Replaces:
 netdata-core (<< 1.17.0-1~),
 netdata-core-no-sse (<< 1.17.0-1~),
Description: real-time performance monitoring (python plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using python.

Package: netdata-web
Section: net
Architecture: all
Depends:
 fonts-font-awesome,
 libjs-bootstrap,
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 netdata-data,
Replaces:
 netdata-data,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (web)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the web frontend.

=== debian/rules ===
#!/usr/bin/make -f

TOP = $(CURDIR)/debian/netdata

PACKAGES := $(shell dh_listpackages -a)

VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_MAJOR := $(word 1, $(subst ., ,$(VERSION)))
VERSION_MINOR := $(word 2, $(subst ., ,$(VERSION)))
VERSION_FIX := $(word 3, $(subst -, ,$(subst ., ,$(VERSION))))
VERSION_SUFFIX := -$(word 4, $(subst -, ,$(subst ., ,$(VERSION))))

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH),s390x)
export DEB_CFLAGS_MAINT_APPEND  = -Wall -O2
else
export DEB_CFLAGS_MAINT_APPEND  = -Wall -O3
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --with apache2

execute_before_dh_autoreconf:
	mkdir -p mqtt_websockets

	rm -f debian/configure.ac.orig
	cp configure.ac debian/configure.ac.orig

	sed -i	-e 's/^\(define(\[VERSION_MAJOR]\).*/\1, [$(VERSION_MAJOR)])/' \
		-e 's/^\(define(\[VERSION_MINOR]\).*/\1, [$(VERSION_MINOR)])/' \
		-e 's/^\(define(\[VERSION_FIX]\).*/\1, [$(VERSION_FIX)])/' \
		-e 's/^\(define(\[VERSION_SUFFIX]\).*/\1, [$(VERSION_SUFFIX)])/' \
	configure.ac

execute_before_dh_autoreconf_clean:
	if [ -e debian/configure.ac.orig ]; \
	then \
		rm -f configure.ac; \
		mv debian/configure.ac.orig configure.ac; \
	fi

execute_after_dh_auto_clean:
	rm -rf build-core
	rm -rf build-core-no-sse debian/tmp-core-no-sse

override_dh_auto_configure:
	mkdir -p build-core
	dh_auto_configure -B build-core -- --libdir=/usr/lib --libexecdir=/usr/lib \
		--disable-cloud \
		--enable-x86-sse \
		--disable-backend-prometheus-remote-write \
		--enable-dbengine \
		--enable-https \
		--enable-plugin-cups \
		--enable-plugin-nfacct \
		--with-math
	cp -a mqtt_websockets tests build-core
	cp -a web/gui/src build-core/web/gui

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	mkdir -p build-core-no-sse
	dh_auto_configure -B build-core-no-sse -- --libdir=/usr/lib --libexecdir=/usr/lib \
		--disable-cloud \
		--disable-x86-sse \
		--disable-backend-prometheus-remote-write \
		--enable-dbengine \
		--enable-https \
		--enable-plugin-cups \
		--enable-plugin-nfacct \
		--with-math
	cp -a mqtt_websockets tests build-core-no-sse
	cp -a web/gui/src build-core-no-sse/web/gui
endif

override_dh_auto_build:
	dh_auto_build -B build-core

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	dh_auto_build -B build-core-no-sse
endif

override_dh_auto_install:
	dh_auto_install -B build-core -- DESTDIR=$(CURDIR)/debian/tmp

	# Removing unused files
	rm -f debian/tmp/etc/netdata/.install-type

	# Building without aws kinesis backend (needs aws sdk)
	rm -f debian/tmp/usr/lib/netdata/conf.d/aws_kinesis.conf

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	dh_auto_install -B build-core-no-sse -- DESTDIR=$(CURDIR)/debian/tmp-core-no-sse
endif

	# Moving architecture independent plugins
	mkdir -p $(TOP)-plugins-python/usr/lib/netdata/conf.d
	mv debian/tmp/usr/lib/netdata/conf.d/python.d/mongodb.conf $(TOP)-plugins-python/usr/lib/netdata/conf.d

override_dh_install-arch:
	find debian/tmp -name .keep -delete

	# Copy architecture dependent plugins
	mkdir -p $(TOP)-core/etc/netdata
	cp debian/local/netdata/netdata.conf $(TOP)-core/etc/netdata
	touch $(TOP)-core/etc/netdata/.opt-out-from-anonymous-statistics

	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
	for plugin in cgroup-network apps.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
	do \
		cp debian/tmp/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-core/usr/lib/netdata/plugins.d; \
	done

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	find debian/tmp-core-no-sse -name .keep -delete
	dh_install -p netdata-core-no-sse --sourcedir=debian/tmp-core-no-sse

	mkdir -p $(TOP)-core-no-sse/etc/netdata
	cp debian/local/netdata/netdata.conf $(TOP)-core-no-sse/etc/netdata
	touch $(TOP)-core-no-sse/etc/netdata/.opt-out-from-anonymous-statistics

	mkdir -p $(TOP)-core-no-sse/usr/lib/netdata/plugins.d
	for plugin in cgroup-network apps.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
	do \
		cp debian/tmp-core-no-sse/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-core-no-sse/usr/lib/netdata/plugins.d; \
	done

	dh_install -a --remaining-packages
else
	dh_install -a
endif

override_dh_install-indep:
	find debian/tmp -name .keep -delete

	dh_install -i

	# Move architecture dependent plugins
	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
	for plugin in cgroup-network apps.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
	do \
		mv -f $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-core/usr/lib/netdata/plugins.d; \
	done

	mkdir -p $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d
	for plugin in node.d.plugin; \
	do \
		mv $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d; \
	done

	mkdir -p $(TOP)-plugins-python/usr/lib/netdata/plugins.d
	for plugin in python.d.plugin; \
	do \
		mv $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-plugins-python/usr/lib/netdata/plugins.d; \
	done

	# Setting package version (update check)
	echo $(VERSION) > $(TOP)-web/usr/share/netdata/web/version.txt

override_dh_installinit:
	dh_installinit -p netdata-core --name=netdata
	dh_installinit -p netdata-core-no-sse --name=netdata
	dh_installinit --remaining-packages

override_dh_installsystemd:
	dh_installsystemd -p netdata-core --name=netdata
	dh_installsystemd -p netdata-core-no-sse --name=netdata
	dh_installsystemd --remaining-packages

override_dh_installlogrotate:
	dh_installlogrotate -p netdata-core --name=netdata
	dh_installlogrotate -p netdata-core-no-sse --name=netdata
	dh_installlogrotate --remaining-packages

override_dh_fixperms-arch:
	dh_fixperms -a

	# apps.plugin should only be runnable by the netdata user. It will be
	# given extra capabilities in the postinst script.
	chmod 0754 $(TOP)-core/usr/lib/netdata/plugins.d/apps.plugin
	chmod 4754 $(TOP)-core/usr/lib/netdata/plugins.d/perf.plugin
ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	chmod 0754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/apps.plugin
	chmod 4754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/perf.plugin
endif

override_dh_fixperms-indep:
	dh_fixperms -i

	# apps.plugin should only be runnable by the netdata user. It will be
	# given extra capabilities in the postinst script.
	chmod 0644 $(TOP)-plugins-bash/usr/lib/netdata/charts.d/*.sh
	chmod 0644 $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/*.sh.inc
	chmod 0644 $(TOP)-plugins-python/usr/lib/netdata/python.d/*.py

## netdata 1.36.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -102,20 +102,7 @@
 # -----------------------------------------------------------------------------
 # Judy General purpose dynamic array
 
-# pkgconfig not working in Ubuntu, why? upstream package broken?
-#pkg_check_modules(JUDY REQUIRED Judy)
-#set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JUDY_CFLAGS_OTHER})
-#set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JUDY_LIBRARIES})
-#set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JUDY_INCLUDE_DIRS})
-set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} "-lJudy")
-set(CMAKE_REQUIRED_LIBRARIES "Judy")
-include(CheckSymbolExists)
-check_symbol_exists("JudyLLast" "Judy.h" HAVE_JUDY)
-IF(HAVE_JUDY)
-    message(STATUS "Judy library found")
-ELSE()
-    message( FATAL_ERROR "libJudy required but not found. Try installing 'libjudy-dev' or 'Judy-devel'." )
-ENDIF()
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} judy)
 
 # -----------------------------------------------------------------------------
 # OpenSSL Cryptography and SSL/TLS Toolkit
@@ -229,6 +216,15 @@
 # ${CURL_LIBRARIES}
 # ${CURL_CFLAGS_OTHER}
 # ${CURL_INCLUDE_DIRS}
+
+# -----------------------------------------------------------------------------
+# Detect libcups
+
+pkg_check_modules(CURL libcups)
+# later we use:
+# ${CUPS_LIBRARIES}
+# ${CUPS_CFLAGS_OTHER}
+# ${CUPS_INCLUDE_DIRS}
 
 # -----------------------------------------------------------------------------
 # Detect libaws-c-common
@@ -353,19 +349,23 @@
     set(ENABLE_ML False)
 ENDIF()
 
-# -----------------------------------------------------------------------------
-# netdata files
-
-set(LIBNETDATA_FILES
-        libnetdata/adaptive_resortable_list/adaptive_resortable_list.c
-        libnetdata/adaptive_resortable_list/adaptive_resortable_list.h
-        libnetdata/config/appconfig.c
-        libnetdata/config/appconfig.h
-        libnetdata/avl/avl.c
-        libnetdata/avl/avl.h
-        libnetdata/buffer/buffer.c
-        libnetdata/buffer/buffer.h
-        libnetdata/clocks/clocks.c
-        libnetdata/clocks/clocks.h
-        libnetdata/completion/completion.c
-        libnetdata/completion/completion.h
+set(LIBJUDY_SOURCES
+        libnetdata/libjudy/src/Judy.h
+        libnetdata/libjudy/src/JudyCommon/JudyMalloc.c
+        libnetdata/libjudy/src/JudyCommon/JudyPrivate.h
+        libnetdata/libjudy/src/JudyCommon/JudyPrivate1L.h
+        libnetdata/libjudy/src/JudyCommon/JudyPrivateBranch.h
+        libnetdata/libjudy/src/JudyL/JudyL.h
+        libnetdata/libjudy/src/JudyL/JudyLByCount.c
+        libnetdata/libjudy/src/JudyL/JudyLCascade.c
+        libnetdata/libjudy/src/JudyL/JudyLCount.c
+        libnetdata/libjudy/src/JudyL/JudyLCreateBranch.c
+        libnetdata/libjudy/src/JudyL/JudyLDecascade.c
+        libnetdata/libjudy/src/JudyL/JudyLDel.c
+        libnetdata/libjudy/src/JudyL/JudyLFirst.c
+        libnetdata/libjudy/src/JudyL/JudyLFreeArray.c
+        libnetdata/libjudy/src/JudyL/j__udyLGet.c
+        libnetdata/libjudy/src/JudyL/JudyLGet.c
+        libnetdata/libjudy/src/JudyL/JudyLInsArray.c
+        libnetdata/libjudy/src/JudyL/JudyLIns.c
+        libnetdata/libjudy/src/JudyL/JudyLInsertBranch.c

=== debian/changelog ===
netdata (1.36.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.36.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 17 Aug 2022 08:39:00 +0200

netdata (1.36.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.36.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 12 Aug 2022 09:26:56 +0200

netdata (1.35.1-2) sid; urgency=medium

  * Uploading to sid.
  * Updating http links to https in copyright.
  * Removing csp in apache2 config to not interfere with csp set
    elsewhere.
  * Using 127.0.0.1 instead of localhost in apache2 config to work on
    ipv6-only systems too.
  * Correcting rewrite rule in apache2 config to be protocol agnostic.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 21 Jul 2022 16:35:10 +0200

netdata (1.35.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.35.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 10 Jun 2022 19:49:26 +0200

netdata (1.35.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.35.0.
  * Updating packaging for upstreams nodejs removal.
  * Updating to standards version 4.6.1.
  * Passing --name to start-stop-daemon in netdata initscript to fix
    process identification issues with openrc, thanks to Gian Piero
    Carrubba <debian-bts@rm-rf.it> (Closes: #1012395).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 09 Jun 2022 06:56:58 +0200

netdata (1.34.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.34.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 15 Apr 2022 22:03:54 +0200

netdata (1.34.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.34.0.
  * Updating rules for renamed configure options.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 14 Apr 2022 20:12:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: netdata
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Uploaders:
  Lennart Weller <lhw@ring0.de>,
  Federico Ceratto <federico@debian.org>,
@@ -25,7 +24,7 @@
  uuid-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/netdata/netdata
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
@@ -39,8 +38,11 @@
  netdata-web,
  ${misc:Depends},
 Recommends:
- netdata-plugins-nodejs,
  netdata-plugins-python,
+Breaks:
+  netdata-plugins-nodejs,
+Replaces:
+  netdata-plugins-nodejs,
 Description: real-time performance monitoring (metapackage)
  Netdata is distributed, real-time, performance and health monitoring for
  systems and applications. It provides insights of everything happening on the
@@ -171,27 +173,6 @@
  .
  This package contains the plugins using bash.
 
-Package: netdata-plugins-nodejs
-Section: net
-Architecture: all
-Multi-Arch: foreign
-Depends:
- netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
- ${misc:Depends},
-Recommends:
- nodejs,
-Provides:
- netdata-plugins,
-Enhances:
- netdata-core,
- netdata-core-no-sse,
-Description: real-time performance monitoring (nodejs plugins)
- Netdata is distributed, real-time, performance and health monitoring for
- systems and applications. It provides insights of everything happening on the
- systems it runs using interactive web dashboards.
- .
- This package contains the plugins using nodejs.
-
 Package: netdata-plugins-python
 Section: net
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_auto_configure -B build-core -- --libdir=/usr/lib --libexecdir=/usr/lib \
 		--disable-cloud \
 		--enable-x86-sse \
-		--disable-backend-prometheus-remote-write \
+		--disable-exporting-prometheus-remote-write \
 		--enable-dbengine \
 		--enable-https \
 		--enable-plugin-cups \
@@ -67,7 +67,7 @@
 	dh_auto_configure -B build-core-no-sse -- --libdir=/usr/lib --libexecdir=/usr/lib \
 		--disable-cloud \
 		--disable-x86-sse \
-		--disable-backend-prometheus-remote-write \
+		--disable-exporting-prometheus-remote-write \
 		--enable-dbengine \
 		--enable-https \
 		--enable-plugin-cups \
@@ -149,13 +149,6 @@
 		   $(TOP)-core/usr/lib/netdata/plugins.d; \
 	done
 
-	mkdir -p $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d
-	for plugin in node.d.plugin; \
-	do \
-		mv $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
-		   $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d; \
-	done
-
 	mkdir -p $(TOP)-plugins-python/usr/lib/netdata/plugins.d
 	for plugin in python.d.plugin; \
 	do \

## netdata 1.37.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,31 +9,25 @@
 find_package(Threads REQUIRED)
 find_package(PkgConfig REQUIRED)
 
+include(CheckFunctionExists)
+include(CheckLibraryExists)
+
 # default is "Debug"
 #set(CMAKE_BUILD_TYPE "Release")
 
 # set this to see the compilation commands
-# set(CMAKE_VERBOSE_MAKEFILE 1)
-
+#set(CMAKE_VERBOSE_MAKEFILE 1)
 
 # -----------------------------------------------------------------------------
 # Set compilation options according to build type
 
+set(CMAKE_C_STANDARD 11)
+
 IF("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+    set(CXX_DEFAULT_CFLAGS "-O0 -g -DNETDATA_INTERNAL_CHECKS=1 -DNETDATA_DEV_MODE=1 -fstack-protector-all -fno-omit-frame-pointer")
     message(STATUS "building for: debugging")
-
-    ## unfortunately these produce errors
-    #include(CheckCXXCompilerFlag)
-    #CHECK_CXX_COMPILER_FLAG("-Wformat-signedness" CXX_FORMAT_SIGNEDNESS)
-    #CHECK_CXX_COMPILER_FLAG("-Werror=format-security" CXX_FORMAT_SECURITY)
-    #CHECK_CXX_COMPILER_FLAG("-fstack-protector-all" CXX_STACK_PROTECTOR)
-    set(CXX_FORMAT_SIGNEDNESS "-Wformat-signedness")
-    set(CXX_FORMAT_SECURITY "-Werror=format-security")
-    set(CXX_STACK_PROTECTOR "-fstack-protector-all")
-    set(CXX_FLAGS_DEBUG "-O0")
-    set(CMAKE_C_STANDARD 99)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O1 -ggdb -Wall -Wextra -DNETDATA_INTERNAL_CHECKS=1 -DNETDATA_VERIFY_LOCKS=1 ${CXX_FORMAT_SIGNEDNESS} ${CXX_FORMAT_SECURITY} ${CXX_STACK_PROTECTOR} ${CXX_FLAGS_DEBUG}")
 ELSE()
+    set(CXX_DEFAULT_CFLAGS "-O2")
     message(STATUS "building for: release")
     cmake_policy(SET CMP0069 "NEW")
     include(CheckIPOSupported)
@@ -46,6 +40,7 @@
     ENDIF()
 ENDIF()
 
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O1 -ggdb -Wall -Wextra -Wformat-signedness -Werror=format-security -Wunused-result ${CXX_DEFAULT_CFLAGS}")
 
 # -----------------------------------------------------------------------------
 # O/S Detection
@@ -67,6 +62,15 @@
 # show the operating system on the console
 message(STATUS "system name: ${CMAKE_SYSTEM_NAME}")
 
+set(GENERATED_CONFIG_H_DIR ${CMAKE_BINARY_DIR})
+set(GENERATED_CONFIG_H ${GENERATED_CONFIG_H_DIR}/config.h)
+
+# -----------------------------------------------------------------------------
+# Math
+
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} m)
+set(NETDATA_REQUIRED_DEFINES "-DSTORAGE_WITH_MATH=1 ${NETDATA_REQUIRED_DEFINES}")
+
 # -----------------------------------------------------------------------------
 # Detect libuuid
 
@@ -82,6 +86,7 @@
 set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${ZLIB_CFLAGS_OTHER})
 set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${ZLIB_LIBRARIES})
 set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIRS})
+# set(NETDATA_REQUIRED_DEFINES "${NETDATA_REQUIRED_DEFINES} -DNETDATA_WITH_ZLIB=1")
 
 # -----------------------------------------------------------------------------
 # libuv multi-platform support library with a focus on asynchronous I/O
@@ -98,6 +103,7 @@
 set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${LIBLZ4_CFLAGS_OTHER})
 set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${LIBLZ4_LIBRARIES})
 set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${LIBLZ4_INCLUDE_DIRS})
+# set(NETDATA_REQUIRED_DEFINES "${NETDATA_REQUIRED_DEFINES} -DENABLE_COMPRESSION=1")
 
 # -----------------------------------------------------------------------------
 # Judy General purpose dynamic array
@@ -111,6 +117,7 @@
 set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${OPENSSL_CFLAGS_OTHER})
 set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${OPENSSL_LIBRARIES})
 set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${OPENSSL_INCLUDE_DIRS})
+# set(NETDATA_REQUIRED_DEFINES "${NETDATA_REQUIRED_DEFINES} -DENABLE_HTTPS=1")
 
 # -----------------------------------------------------------------------------
 # JSON-C used to health
@@ -220,7 +227,11 @@
 # -----------------------------------------------------------------------------
 # Detect libcups
 
-pkg_check_modules(CURL libcups)
+pkg_check_modules(CUPS libcups)
+IF(NOT CUPS_LIBRARIES)
+    pkg_check_modules(CUPS cups)
+ENDIF()
+
 # later we use:
 # ${CUPS_LIBRARIES}
 # ${CUPS_CFLAGS_OTHER}
@@ -328,8 +339,9 @@
             ${CMAKE_SOURCE_DIR}/externaldeps/libbpf/libbpf.a
             ${ELF_LIBRARIES})
         list(APPEND NETDATA_COMMON_INCLUDE_DIRS ${ELF_INCLUDE_DIRS})
-        include_directories(BEFORE ${CMAKE_SOURCE_DIR}/externaldeps/libbpf/include)
+        include_directories(BEFORE ${CMAKE_SOURCE_DIR}/externaldeps/libbpf/include ${CMAKE_SOURCE_DIR}/externaldeps/libbpf/include/uapi)
         set(ENABLE_PLUGIN_EBPF True)
+        set(HAVE_LIBBPF True)
     ELSE(ELF_LIBRARIES)
         set(ENABLE_PLUGIN_EBPF False)
         message(STATUS "ebpf plugin: disabled (requires libelf)")
@@ -340,11 +352,11 @@
 # Detect ml dependencies
 file(STRINGS "${CMAKE_SOURCE_DIR}/config.h" DEFINE_ENABLE_ML REGEX "^#define ENABLE_ML 1$")
 IF(DEFINE_ENABLE_ML MATCHES ".+" AND
-   EXISTS "${CMAKE_SOURCE_DIR}/ml/kmeans/dlib/dlib/all/source.cpp" AND
+   EXISTS "${CMAKE_SOURCE_DIR}/ml/dlib/dlib/all/source.cpp" AND
    EXISTS "${CMAKE_SOURCE_DIR}/ml/json/single_include/nlohmann/json.hpp")
     set(ENABLE_ML True)
     list(APPEND NETDATA_COMMON_CFLAGS "-DDLIB_NO_GUI_SUPPORT")
-    list(APPEND NETDATA_COMMON_INCLUDE_DIRS "ml/kmeans/dlib")
+    list(APPEND NETDATA_COMMON_INCLUDE_DIRS "ml/dlib")
 ELSE()
     set(ENABLE_ML False)
 ENDIF()
@@ -362,10 +374,3 @@
         libnetdata/libjudy/src/JudyL/JudyLCreateBranch.c
         libnetdata/libjudy/src/JudyL/JudyLDecascade.c
         libnetdata/libjudy/src/JudyL/JudyLDel.c
-        libnetdata/libjudy/src/JudyL/JudyLFirst.c
-        libnetdata/libjudy/src/JudyL/JudyLFreeArray.c
-        libnetdata/libjudy/src/JudyL/j__udyLGet.c
-        libnetdata/libjudy/src/JudyL/JudyLGet.c
-        libnetdata/libjudy/src/JudyL/JudyLInsArray.c
-        libnetdata/libjudy/src/JudyL/JudyLIns.c
-        libnetdata/libjudy/src/JudyL/JudyLInsertBranch.c

=== tests/profile/Makefile ===
# SPDX-License-Identifier: GPL-3.0-or-later

COMMON_CFLAGS = -I ../../ -Wall -Wextra
PROFILE_CFLAGS = -O1 -ggdb $(COMMON_CFLAGS)
PERFORMANCE_CFLAGS = -O2 $(COMMON_CFLAGS)

CFLAGS = $(PERFORMANCE_CFLAGS)

LIBNETDATA_FILES = \
    ../../libnetdata/popen/popen.o \
    ../../libnetdata/storage_number/storage_number.o \
    ../../libnetdata/avl/avl.o \
    ../../libnetdata/socket/socket.o \
    ../../libnetdata/os.o \
    ../../libnetdata/clocks/clocks.o \
    ../../libnetdata/procfile/procfile.o \
    ../../libnetdata/statistical/statistical.o \
    ../../libnetdata/eval/eval.o \
    ../../libnetdata/threads/threads.o \
    ../../libnetdata/dictionary/dictionary.o \
    ../../libnetdata/simple_pattern/simple_pattern.o \
    ../../libnetdata/url/url.o \
    ../../libnetdata/config/appconfig.o \
    ../../libnetdata/libnetdata.o \
    ../../libnetdata/buffer/buffer.o \
    ../../libnetdata/adaptive_resortable_list/adaptive_resortable_list.o \
    ../../libnetdata/locks/locks.o \
    ../../libnetdata/log/log.o \
    $(NULL)

COMMON_LDFLAGS = $(LIBNETDATA_FILES) -pthread -lm

all: statsd-stress benchmark-procfile-parser test-eval benchmark-dictionary benchmark-value-pairs

benchmark-procfile-parser: benchmark-procfile-parser.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

benchmark-dictionary: benchmark-dictionary.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

benchmark-value-pairs: benchmark-value-pairs.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

statsd-stress: statsd-stress.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

test-eval: test-eval.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

clean:
	rm -f benchmark-procfile-parser statsd-stress test-eval benchmark-dictionary benchmark-value-pairs

=== debian/changelog ===
netdata (1.37.1-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Disabling to send emails by default as netdata sends a lot of mails
    otherwise using a (by default) unconfigured mailsetup.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Jan 2023 18:56:13 +0100

netdata (1.37.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.37.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 05 Dec 2022 17:29:48 +0100

netdata (1.37.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.37.0.
  * Excluding newly introduced distribution specific files that are only
    needed when installing from source.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 30 Nov 2022 19:47:13 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  uuid-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/netdata/netdata
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata

=== debian/rules ===
--- 
+++ 
@@ -89,6 +89,9 @@
 
 	# Removing unused files
 	rm -f debian/tmp/etc/netdata/.install-type
+	rm -f debian/tmp/usr/lib/netdata/install-service.sh
+	rm -f debian/tmp/usr/lib/netdata/system/netdata*
+	rmdir debian/tmp/usr/lib/netdata/system
 
 	# Building without aws kinesis backend (needs aws sdk)
 	rm -f debian/tmp/usr/lib/netdata/conf.d/aws_kinesis.conf

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://github.com/netdata/netdata/releases/ download/v(?:\d\S*)/netdata-v(\d\S*)\.(?:tar\.(?:gz|xz))
